pbs_server_attributes(7B)

NAME
pbs_server_attributes - PBS server attributes

DESCRIPTION
A PBS server has the following attributes.

acl_host_enable
    Specifies whether the server obeys the host access control list in the acl_hosts server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The server limits host access according to the access control list.

    False
        All hosts are allowed access.

    Default: False

acl_host_moms_enable
    Specifies whether all MoMs are automatically allowed to contact the server with the same privilege as hosts listed in the acl_hosts server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        All MoMs are automatically allowed to contact the server with the same privilege as hosts listed in the acl_hosts server attribute.

    False
        MoMs are not automatically allowed to contact the server with the same privilege as hosts listed in the acl_hosts server attribute.

    Default: False

acl_hosts
    List of hosts from which services can be requested of this server. Requests from the server host are always honored whether or not that host is in the list. This list contains the fully qualified domain names of the hosts. List is evaluated left-to-right; first match in list is used.
    Readable by all; settable by Manager.
    Format: String
    Syntax: "[+|-]<hostname>.<domain>[, ...]"
    Python type: pbs.acl
    Default: No default (all hosts are allowed access)

acl_resv_group_enable
    Specifies whether the server obeys the group reservation access control list in the acl_resv_groups server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The server limits group access according to the access control list.

    False
        All groups are allowed access.

    Default: False

acl_resv_groups
    List of groups allowed or denied permission to create reservations in this PBS complex. The groups in the list are groups on the server host, not submission hosts. List is evaluated left-to-right; first match in list is used.
    Readable by all; settable by Manager.
    Format: String
    Syntax: "[+|-]<group name>[, ...]"
    Python type: pbs.acl
    Default: No default

acl_resv_host_enable
    Specifies whether the server obeys the host reservation access control list in the acl_resv_hosts server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The server limits host access according to the access control list.

    False
        All hosts are allowed access.

    Default: False

acl_resv_hosts
    List of hosts from which reservations can be created in this PBS complex. This list is made up of the fully-qualified domain names of the hosts. List is evaluated left-to-right; first match in list is used.
    Readable by all; settable by Manager.
    Format: String
    Syntax: "[+|-]<hostname>.<domain>[, ...]"
    Python type: pbs.acl
    Default: No default

acl_resv_user_enable
    Specifies whether the server limits which users are allowed to create reservations, according to the access control list in the acl_resv_users server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The server limits user reservation creation according to the access control list.

    False
        All users can create reservations.

    Default: False

acl_resv_users
    List of users allowed or denied permission to create reservations in this PBS complex. List is evaluated left-to-right; first match in list is used.
    Readable by all; settable by Manager.
    Format: String
    Syntax: "[+|-]<username>[@<hostname>][, ...]"
    Python type: pbs.acl
    Default: No default

acl_roots
    List of users with root privilege who may run jobs at this server. If the owner of a job is root or Administrator, the owner must be listed in this access control list or the job is rejected. More specific entries should be listed before more general, because the list is read left-to-right, and the first match determines access.
    Readable by all; can be set or altered by root only, and only at the server host.
    Format: String
    Syntax: "[+|-]<username>[@<hostname>][, ...]"
    Python type: pbs.acl
    Default: No default; no root jobs allowed

acl_user_enable
    Specifies whether the server limits which users are allowed to run commands at the server, according to the control list in the acl_users server attribute.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The server limits user access according to the access control list.

    False
        All users have access.

    Default: False

acl_users
    List of users allowed or denied permission to run commands at this server. List is evaluated left-to-right; first match in list is used.
    Readable by all; settable by Manager.
    Format: String
    Syntax: "[+|-]<username>[@<hostname>][, ...]"
    Python type: pbs.acl
    Default: No default

backfill_depth
    Modifies backfilling behavior. Sets the number of jobs that are to be backfilled around. Overridden by backfill_depth queue attribute.
    Recommendation: set this to less than 100.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Valid values: Must be >= 0
    Behavior:

    >= 0
        PBS backfills around the specified number of jobs.

    Unset
        Backfill depth is set to 1.

    Python type: int
    Default: Unset (backfill depth is 1)

comment
    Informational text. Can be set by a scheduler or other privileged client.
    Readable by all; settable by Operator, Manager, and PBS.
    Format: String of any form
    Python type: str
    Default: No default

default_chunk
    The list of resources which will be inserted into each chunk of a job's select specification if the corresponding resource is not specified by the user. This provides a means for a site to be sure a given resource is properly accounted for even if not specified by the user.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax:
    default_chunk.<resource name>=<value>, default_chunk.<resource name>=<value>, ...

    Python type: pbs.pbs_resource
    Syntax:
    default_chunk["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

default_node
    No longer used.

default_qdel_arguments
    Argument to qdel command. Automatically added to all qdel commands. See qdel(1B). Overrides standard defaults. Overridden by arguments given on the command line.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: "-Wsuppress_mail=<N>"
    Python type: pbs.args
    Default: No default

default_qsub_arguments
    Arguments that are automatically added to the qsub command. Any valid arguments to qsub command, such as job attributes. Setting a job attribute via default_qsub_arguments sets that attribute for each job which does not explicitly override it. See qsub(1B). Settable by the administrator via the qmgr command. Overrides standard defaults. Overridden by arguments given on the command line and in script directives.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax:
    "<option> <value> <option> <value>"

    Python type: pbs.args
    To set:
    Qmgr: s s default_qsub_arguments ="<option> <value>"

    To add to existing:
    Qmgr: s s default_qsub_arguments +="<option> <value>"

    Example:
    Qmgr: set server default_qsub_arguments = "-r y -N MyJob"
    Qmgr: set server default_qsub_arguments += "-l Blue=False"

    Default: No default

default_queue
    The name of the default target queue. Used for requests that do not specify a queue name. Must be set to an existing queue.
    Readable by all; settable by Operator and Manager.
    Format: Queue name
    Python type: pbs.queue
    Default: workq

eligible_time_enable
    Controls starving behavior. Toggles between using the value of the job's eligible_time attribute and the value of now() - etime to evaluate whether job is starving.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        The value of the job's eligible_time attribute is used for its starving time.

    False
        The value of now() - etime is used for the job's starving time.

    Default: False

est_start_time_freq
    Obsolete. No longer used.

flatuid
    Used for authorization allowing users to submit and alter jobs. Specifies whether user names are treated as being the same across the PBS server and all submission hosts in the complex. Can be used to allow users without accounts at the server host to submit jobs.
    If UserA has an account at the server host, PBS requires that UserA@<server host> is the same as UserA@<execution host>.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        PBS assumes that UserA@<submithost> is same user as UserA@<server name>. Jobs that run under the name of the job owner do not need authorization.
        A job submitted under a different username, by using the -u option to the qsub command, requires authorization.
        Entries in .rhosts or hosts.equiv are not checked, so even if UserA@host1 has an entry for UserB@host2, UserB@host2 cannot operate on UserA@host1's jobs. User without account on server can submit jobs.

    False
        PBS does not assume that UserA@<submission host> is the same user as UserA@<server host>. Jobs that run under the name of the job owner need authorization. Users must have accounts on the server host to submit jobs.

    Default: False (authorization is required)

FLicenses
    The number of floating licenses currently available for allocation to unlicensed CPUs. One license is required for each virtual CPU.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Default: No default

job_history_duration
    The length of time PBS will keep each job's history.
    Readable by all; settable by Manager.
    Format: Duration
    Syntax: [[hours:]minutes:]seconds[.milliseconds]
    Python type: pbs.duration
    Default: Two weeks

job_history_enable
    Enables job history management. Setting this attribute to True enables job history management.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Default: False

job_requeue_timeout
    The amount of time that can be taken while requeueing a job.
    Readable by all; settable by Operator and Manager.
    Format: Duration
    Python type: pbs.duration
    Minimum allowed value: 1 second
    Maximum allowed value: 3 hours
    Default: 45 seconds

job_sort_formula
    Formula for computing job priorities. Described in the PBS Professional Administrator's Guide. If the attribute job_sort_formula is set, all schedulers use the formula in it to compute job priorities. When a scheduler sorts jobs according to the formula, it computes a priority for each job, where that priority is the value produced by the formula. Jobs with a higher value get higher priority.
    Readable by all; settable by root.
    Format: String
    Syntax: Mathematical formula; can be made up of expressions, where expressions contain terms which are added, subtracted, multiplied, or divided, and which can contain parentheses, exponents, and unary plus and minus. For details, see the PBS Professional Administrator's Guide.
    Python type: pbs.job_sort_formula
    Default: Unset

jobscript_max_size
    Limit on the size of any job script.
    Readable by all; settable by Manager.
    Format: size
    Units default to bytes
    Python type: pbs.size
    Default: 100MB

license_count
    The license_count attribute contains the following elements with their values: Avail_Global, Avail_Local, Used, High_Use, Avail_Sockets, Unused_Sockets, Avail_Nodes, Unused_Nodes.
    When this attribute is displayed, it shows only the elements that are relevant to the type of licensing being used. For example, if you are using node licensing, it shows only Avail_Nodes and Unused_Nodes.
    Readable by all; settable by PBS only.
    Format: String
    Syntax:
    Avail_Global:<value> Avail_Local:<value> Used:<value> High_Use:<value> Avail_Sockets:<value> Unused_Sockets:<value> Avail_Nodes:<value> Unused_Nodes:<value>

    Avail_Global
        The number of PBS CPU licenses still kept by the Altair license server (checked in.)

    Avail_Local
        The number of PBS CPU licenses still kept by PBS (checked out.)

    Used
        The number of PBS CPU licenses currently in use.

    High_Use
        The highest number of PBS CPU licenses checked out and used at any time by the current instance of the PBS server.

    Avail_Sockets
        The total number of socket licenses in socket license file.

    Unused_Sockets
        The number of unused socket licenses.

    Avail_Nodes
        The total number of node licenses in node license file.

    Unused_Nodes
        The number of unused node licenses.

    Python type: pbs.license_count
    Default value:
    Avail_Global:0 Avail_Local:0 Used:0 High_Use:0 Avail_Sockets:0 Unused_Sockets:0 Avail_Nodes:0 Unused_Nodes:0

log_events
    The types of events the server logs.
    Readable by all; settable by Operator and Manager.
    Format: Integer representation of bit string
    Python type: int
    Default: 511 (all events)

mail_from
    The username from which server-generated mail is sent to users. Mail is sent to this address upon failover. On Windows, requires fully qualified mail address.
    Readable by all; settable by Manager.
    Format: String
    Python type: str Default: "adm"

managers
    List of PBS Managers.
    Readable by all; settable by Manager.
    Format: String
    Syntax:
    "<username>@<hostname>.<subdomain>.<domain>[,<username>@<hostname>.<subdomain>.<domain> ...]"
    The hostname, subdomain, or domain may be wildcarded with an asterisk ("*").

    Python type: pbs.acl
    Default: Root on the server host

max_array_size
    The maximum number of subjobs that are allowed in any array job.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: 10000

max_concurrent_provision
    The maximum number of vnodes allowed to be in the process of being provisioned. Cannot be set to zero.
    When unset, default value is used.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Default: 5

max_group_res
    Old limit attribute. Incompatible with new limit attributes. The maximum amount of the specified resource that any single group may consume in this PBS complex.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: max_group_res.<resource name>=<value>
    Python type: pbs.pbs_resource
    Syntax:
    max_group_res["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Example: set server max_group_res.ncpus=6
    Default: No default

max_group_res_soft
    Old limit attribute. Incompatible with new limit attributes. The soft limit on the amount of the specified resource that any single group may consume in this complex. If a group is consuming more than this amount of the specified resource, their jobs are eligible to be preempted by jobs from groups who are not over their soft limit.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: max_group_res_soft.<resource name>=<value>
    Python type: pbs.pbs_resource
    Syntax:
    max_group_res_soft["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

max_group_run
    Old limit attribute. Incompatible with new limit attributes. The maximum number of jobs owned by any users in a single group that are allowed to be running within this complex at one time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_group_run_soft
    Old limit attribute. Incompatible with new limit attributes. The maximum number of jobs owned by the users in one group allowed to be running in this complex at one time. If a group has more than this number of jobs running, their jobs are eligible to be preempted by jobs from groups who are not over their soft limit.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_queued
    Limit attribute. The maximum number of jobs allowed to be queued or running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: str
    Default: No default

max_queued_res
    Limit attribute. The maximum amount of the specified resource allowed to be allocated to jobs queued or running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: pbs.pbs_resource
    Syntax:
    max_queued_res["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

max_run
    Limit attribute. The maximum number of jobs allowed to be running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: str
    Default: No default

max_run_res
    Limit attribute. The maximum amount of the specified resource allowed to be allocated to jobs running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: pbs.pbs_resource
    Syntax:
    max_run_res["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

max_run_res_soft
    Limit attribute. Soft limit on the amount of the specified resource allowed to be allocated to jobs running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: pbs.pbs_resource
    Syntax:
    max_run_res_soft["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

max_run_soft
    Limit attribute. Soft limit on the number of jobs allowed to be running in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: str
    Default: No default

max_running
    Old limit attribute. Incompatible with new limit attributes. The maximum number of jobs in this complex allowed to be running any given time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_user_res
    Old limit attribute. Incompatible with new limit attributes. The maximum amount of the specified resource that any single user may consume within this complex.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: max_user_res.<resource name>=<value>
    Python type: pbs.pbs_resource
    Syntax:
    max_user_res["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Example: set server max_user_res.ncpus=6
    Default: No default

max_user_res_soft
    Old limit attribute. Incompatible with new limit attributes. The soft limit on the amount of the specified resource that any single user may consume within this complex. If a user is consuming more than this amount of the specified resource, their jobs are eligible to be preempted by jobs from users who are not over their soft limit.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: max_user_res_soft.<resource name>=<value>
    Python type: pbs.pbs_resource
    Syntax:
    max_user_res_soft["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Example: set server max_user_res_soft.ncpus=3
    Default: No default

max_user_run
    Old limit attribute. Incompatible with new limit attributes. The maximum number of jobs owned by a single user that are allowed to be running within this complex at one time.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

max_user_run_soft
    Old limit attribute. Incompatible with new limit attributes. The soft limit on the number of jobs owned by a single user that are allowed to be running within this complex at one time. If a user has more than this number of jobs running, their jobs are eligible to be preempted by jobs from users who are not over their soft limit.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Python type: int
    Default: No default

node_fail_requeue
    Controls whether running jobs are automatically requeued or deleted when the primary execution host fails. Number of seconds to wait after losing contact with Mother Superior before requeueing or deleting jobs.
    Reverts to default value when server is restarted.
    Can be set by Managers and Operators. Visible to all.
    Format: Integer
    Python type: int Behavior:

    < 0 Behaves as if set to 1.

    0   Jobs are not requeued; they are left in the Running state until the execution host is recovered.

    > 0 When the host has been down for the specified number of seconds, jobs are requeued if they are marked as rerunnable, or are deleted.

    Unset
        Behaves as if set to default value of 310.

    Default: 310

node_group_enable
    Specifies whether placement sets (which includes node grouping) are enabled. See the node_group_key server attribute.
    Readable by all; settable by Operator and Manager.
    Format: Boolean
    Python type: bool
    Example: Qmgr> set server node_group_enable=true
    Default: False

node_group_key
    Specifies the resources to use for placement sets (node grouping.) Overridden by queue's node_group_key attribute. See node_group_enable server attribute.
    Readable by all; settable by Operator and Manager.
    Format: string_array
    Syntax:
    When specifying multiple resources, separate them with commas and enclose the value in double quotes.

    Python type: pbs.node_group_key
    Example: Qmgr> set server node_group_key="ncpus,mem"
    Default: Unset

operators
    List of PBS Operators.
    Readable by all; settable by Manager.
    Format: String
    Syntax:
    <username>@<hostname>.<subdomain>.<domain name>[,<username>@<hostname>.<subdomain>.<domain name> ...]
    The host, subdomain, or domain name may be wildcarded with an asterisk (*).

    Python type: pbs.acl
    Default: No default

pbs_license_file_location
    Deprecated. Do not use.

pbs_license_info
    Location of license information. Can be port number and hostname of license server, or local pathname to the actual license file associated with a license server.
    Readable by all; settable by Manager.
    Format: String
    Syntax:
    Port number and hostname form:
    <port1>@<host1>:<port2>@<host2>:...:<portN>@<hostN>:<path to license file>
    where host1, host2, ... hostN can be IP addresses, and the license file can be listed first or last.
    Delimiter between items is colon (":") for Linux and semi-colon (";") for Windows.

    Python type: str
    Default: No default

pbs_license_linger_time
    The number of seconds to keep an unused CPU license, when the number of licenses is above the value given by pbs_license_min.
    Readable by all; settable by Manager.
    Format: Integer
    Units: seconds
    Python type: pbs.duration
    To set pbs_license_linger_time:
    Qmgr> set server pbs_license_linger_time=<value>
    To unset pbs_license_linger_time:
    Qmgr> unset server pbs_license_linger_time
    Default: 3600 seconds

pbs_license_max
    Maximum number of licenses to be checked out at any time, i.e maximum number of CPU licenses to keep in the PBS local license pool. Sets a cap on the number of CPUs that can be licensed at one time.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    To set pbs_license_max:
    Qmgr> set server pbs_license_max=<value>
    To unset pbs_license_max:
    Qmgr> unset server pbs_license_max
    Default: Maximum value for an integer

pbs_license_min
    Minimum number of CPUs to permanently keep licensed, i.e. the minimum number of CPU licenses to keep in the PBS local license pool. This is the minimum number of licenses to keep checked out.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    To set pbs_license_min:
    Qmgr> set server pbs_license_min=<value>
    To unset pbs_license_min:
    Qmgr> unset server pbs_license_min
    If set to zero or unset, PBS automatically sets the value to 1.
    Default: 1

pbs_version
    The version of PBS for this server.
    Readable by all.
    Format: String
    Python type: pbs.version
    Default: No default

power_provisioning
    Enables use of power profiles via PBS.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        Power provisioning is enabled.

    False
        Power provisioning is disabled.

    Default: False

python_restart_max_hooks
    The maximum number of hooks to be serviced before the Python interpreter is restarted. If this number is exceeded, and the time limit set in python_restart_min_interval has elapsed, the Python interpreter is restarted.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Default: 100

python_restart_max_objects
    The maximum number of objects to be created before the Python interpreter is restarted. If this number is exceeded, and the time limit set in python_restart_min_interval has elapsed, the Python interpreter is restarted.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Default: 1000

python_restart_min_interval
    The minimum time interval before the Python interpreter is restarted. If this interval has elapsed, and either the maximum number of hooks to be serviced (set in python_restart_max_hooks ) has been exceeded or the maximum number of objects to be created (set in python_restart_max_objects ) has been exceeded, the Python interpreter is restarted.
    Readable by all; settable by Manager.
    Format: Integer
    Units: Seconds or Duration [[HH:]MM:]SS
    Python type: pbs.duration
    Default: 30

query_other_jobs
    Controls whether unprivileged users are allowed to select or query the status of jobs owned by other users.
    When True, unprivileged users can query or select other users' jobs.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Default: True

queued_jobs_threshold
    Limit attribute. The maximum number of jobs allowed to be queued in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager.
    Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide.

    Python type: str
    Default: No default

queued_jobs_threshold_res
    Limit attribute. The maximum amount of the specified resource allowed to be allocated to jobs queued in the complex. Can be specified for projects, users, groups, or all. Cannot be used with old limit attributes.
    Readable by all; settable by Operator and Manager. Format: Limit specification
    See the Formats chapter in the PBS Professional Reference Guide

    Python type: pbs.pbs_resource
    Syntax:
    queued_jobs_threshold_res["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

require_cred
    Specifies the Kerberos credential authentication method required. All jobs submitted without the specified credential will be rejected. See require_cred_enable. Depends on optional Kerberos and DCE support. Not supported under Windows.
    Readable by all; settable by Manager.
    Format: String
    Python type: str
    Valid values: krb5 or dce
    Default: Unset

require_cred_enable
    Specifies whether the server is to use the Kerberos credential authentication method given in the require_cred server attribute. Depends on optional Kerberos and DCE support. Not supported under Windows.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        Use the Kerberos authentication method specified.

    False
        No Kerberos credential authentication used.

    Default: False

reserve_retry_cutoff
    The time period before the reservation start time during which PBS does not attempt to reconfirm a degraded reservation. When this value is changed, all degraded reservations use the new value.
    Readable and settable by Manager only.
    Format: Integer
    Units: Seconds
    Python type: int
    Valid values: Must be greater than zero
    Default: 7200 (2 hours)

reserve_retry_init
    The amount of time after a reservation becomes degraded that PBS waits before attempting to reconfirm the reservation. When this value is changed, only reservations that become degraded after the change use the new value.
    Readable and settable by Manager only.
    Format: Integer
    Units: Seconds
    Python type: int
    Valid values: Must be greater than zero
    Default: 7200 (2 hours)

resources_assigned
    The total of each type of resource allocated to jobs running in this complex, plus the total of each type of resource allocated to any reservation. Reservation resources are added when the reservation starts.
    Readable by all; settable by PBS only.
    Format: String
    Python type: pbs.pbs_resource
    Syntax:
    resources_assigned["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

resources_available
    The list of available resources and their values defined on the server. Each resource is listed on a separate line.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax:
    "resources_available.<resource name>=<value>"
    where resource name is any built-in or custom resource

    Python type: pbs.pbs_resource
    Syntax:
    resources_available["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No default

resources_cost
    No longer used.

resources_default
    The list of default job-wide resource values that are set as limits for jobs in this complex when a) the job does not specify a limit, and b) there is no queue default. The value for a string array, e.g. resources_default.<string array resource>, can contain only one string. For host-level resources, see the default_chunk.<resource name> server attribute.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: resources_default.<resource name>=value[, ...]
    Python type: pbs.pbs_resource
    Syntax:
    resources_default["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No limit

resources_max
    The maximum amount of each resource that can be requested by any single job in this complex, if there is not a resources_max value defined for the queue at which the job is targeted. This attribute functions as a gating value for jobs entering the PBS complex.
    Readable by all; settable by Operator and Manager.
    Format: String
    Syntax: resources_default.<resource name>=value[, ...]
    Python type: pbs.pbs_resource
    Syntax:
    resources_max["<resource name>"]=<value>
    where resource name is any built-in or custom resource

    Default: No limit

restrict_res_to_release_on_suspend
    Comma-separated list of consumable resources to be released when jobs are suspended. If unset, all consumable resources are released on suspension.
    Readable by all; settable by Manager.
    Format: String array
    Syntax: comma-separated list
    Python type: Python list
    Default: Unset

resv_enable
    Specifies whether or not advance and standing reservations can be created at this server.
    Readable by all; settable by Manager.
    Format: Boolean
    Python type: bool
    Behavior:
    When set to True, new reservations can be created. When changed from True to False, new reservations cannot be created, but existing reservations are honored.

    Default: True

resv_post_processing_time
    The amount of time allowed for reservations to clean up after running jobs.
    Reservation duration and end time are extended by this amount of time. Jobs are not allowed to run during the cleanup period.
    Readable by all; settable by Operator and Manager.
    Format: Duration
    Syntax: [[hours:]minutes:]seconds[.milliseconds]
    Python type: int
    Behavior: When unset, behaves as if set to zero.
    Default: Unset

rpp_highwater
    The maximum number of messages.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Valid values: Greater than or equal to one
    Default: 1024

rpp_max_pkt_check
    Maxiumum number of TPP messages processed by the main server thread per iteration.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Default: 1024

rpp_retry
    In a fault-tolerant setup (multiple pbs_comms), when the first pbs_comm fails partway through a message, this is number of times TPP tries to use the first pbs_comm.
    Readable by all; settable by Manager.
    Format: Integer
    Python type: int
    Valid values: Greater than or equal to zero
    Default: 10

scheduler_iteration
    The time between scheduling iterations.
    Readable by all; settable by Operator and Manager.
    Format: Integer
    Units: Seconds
    Python type: pbs.duration
    Default: 600 (10 minutes)

scheduling
    Enables scheduling of jobs. Specified by value of -a option to pbs_server command. If -a is not specified, value is taken from previous invocation of pbs_server.
    Readable by all; settable by Operator and Manager.
    Format: Boolean
    Python type: bool
    Default: False if never set via pbs_server command

server_host
    The name of the host on which the active server is running. If the secondary server takes over, this attribute is set to the name of the secondary server's host. When the primary server takes control again, this attribute shows the name of the primary server's host.
    Readable by all; settable by PBS only.
    Format: String
    Syntax: <hostname>.<domain name>
    If the server is listening to a non-standard port, the port number is appended, with a colon, to the hostname: <hostname>.<domain name>:<port number>

    Python type: str
    Default: No default

server_state
    The current state of the server.
    Readable by all; settable by PBS only.
    Format: String
    Python type:
    Each server state's Python type is its corresponding server state constant

    Server states and their Python types:

    Active                pbs.SV_STATE_ACTIVE
        The server is running. The scheduler is between scheduling cycles.

    Hot_Start             pbs.SV_STATE_HOT
        The server will run first any jobs that were running when it was shut down.

    Idle                  pbs.SV_STATE_IDLE
        The server is running. Scheduling has been turned off.

    Scheduling            pbs.SV_STATE_ACTIVE
        The server is running. The scheduler is in a scheduling cycle.

    Terminating    pbs.SV_STATE_SHUTIMM or pbs.SV_STATE_SHUTSIG
        The server is terminating. No additional jobs will be run.

    Terminating_Delayed   pbs.SV_STATE_SHUTDEL
        The server is terminating in delayed mode. No new jobs will be run. The server will shut down when all running jobs have finished.

    Default: No default

single_signon_password_enable
    Used only on systems requiring passwords, such as Windows. Incompatible with other systems. Specifies whether or not users must give a password for each job.
    Can be enabled only when no jobs exist, or when all jobs have a bad password ("p") hold. Can be disabled only when no jobs exist.
    Readable by all; settable by Operator and Manager.
    Format: Boolean
    Python type: bool
    Behavior:

    True
        Users submitting jobs must specify a password only once; PBS remembers it for future job execution.

    False
        Users submitting jobs must specify a password for each job.

    Default on Linux: False
    Default on Windows: True

state_count
    List of the number of jobs in each state in the complex. Suspended jobs are counted as running.
    Readable by all; settable by PBS only.
    Format: String
    Syntax: transiting=<value>, queued=<value>, ...
    Python type: pbs.state_count
    Default: No default

system_cost
    No longer used.

total_jobs
    The total number of jobs in the complex. If the job_history_enable attribute is set to True, this includes jobs that are finished, deleted, and moved.
    Readable by all; settable by PBS only.
    Format: Integer
    Python type: int
    Default: No default

Incompatible Limit Attributes
The old and new limit attributes are incompatible. If any of one kind is set, none of the other kind can be set. All of one kind must be unset in order to set any of the other kind.

FORMATS

Duration
    Syntax: either [[hours:]minutes:]seconds[.milliseconds] or an integer, whose units are seconds

Limit specification
    Limit attributes can be set, added to or removed from.
    Format for setting a limit specification:
        set server <limit attribute> = "[<limit specification>=<limit value>], [<limit specification>=<limit value>] ..."
    Format for adding to a limit specification:
        set server <limit attribute> += "[<limit specification>=<limit value>], [<limit specification>=<limit value>] ..."
    Format for removing from a limit specification:
        set server <limit attribute> -= "[<limit specification>=<limit value>], [<limit specification>=<limit value>] ..."
        or
        set server <limit attribute> -= "[<limit specification>], [<limit specification>] ..."
    Where limit specification is

        o:PBS_ALL
            Overall limit

        p:PBS_GENERIC
            Generic users

        p:<project name>
            An individual project

        u:PBS_GENERIC
            Generic users

        u:<user name>
            An individual user

        g:PBS_GENERIC
            Generic groups

        g:<group name>
            An individual group
    The limit specification can contain spaces anywhere except after the colon (":").
    If there are comma-separated limit specifications, the entire string must be enclosed in double quotes.
    A user name, group name, or project name containing spaces must be enclosed in quotes.
    If a user name, group name, or project name is quoted using double quotes, and the entire string requires quotes, the outer enclosing quotes must be single quotes. Similarly, if the inner quotes are single quotes, the outer quotes must be double quotes.
    PBS_ALL is a keyword which indicates that this limit applies to the usage total.
    PBS_GENERIC is a keyword which indicates that this limit applies to generic users, groups, or projects.
    When removing a limit, the limit value does not need to be specified.
    PBS_ALL and PBS_GENERIC are case-sensitive.
    Format for setting a limit attribute:
        set server <limit attribute> = "[<limit specification>=<limit value>], [<limit specification>=<limit value>], ..."
        set queue <queue name> <limit attribute> = "[<limit specification>= <limit value>], [<limit specification>=<limit value>], ..."

    For example, to set the max_queued limit on QueueA to 5 for total usage, and to limit user bill to 3:
    s q QueueA max_queued = "[o:PBS_ALL=5], [u:bill =3]" Examples of setting, adding, and removing:
        set server max_run="[u:PBS_GENERIC=2], [g:group1=10], [o:PBS_ALL = 100]"
        set server max_run+="[u:user1=3], [g:PBS_GENERIC=8]"
        set server max_run-="[u:user2], [g:group3]"

    See the PBS Professional Administrator's Guide.

SEE ALSO
The PBS Professional Administrator's Guide, The PBS Professional User's Guide, qdel(1B), qmgr(1B), qsub(1b)